# You can find more information about this file on the symfony website:
# http://www.symfony-project.org/reference/1_4/en/05-Factories

prod:
  logger:
    class:   sfNoLogger
    param:
      level:   err
      loggers: ~
  # logger:
  #   class: sfAggregateLogger
  #   param:
  #     level: debug
  #     loggers:
  #       sf_file_debug:
  #         class: sfFileLogger
  #         param:
  #           level: debug
  #           file: %SF_LOG_DIR%/%SF_APP%_%SF_ENVIRONMENT%.log

  mailer:
    param:
      delivery_strategy: realtime
      #delivery_strategy: spool
      #spool_class:       Swift_DoctrineSpool
      #spool_arguments:   [ MailMessage, message, getSpooledMessages ]
        
cli:
  controller:
    class: sfConsoleController
  request:
    class: sfConsoleRequest
  response:
    class: sfConsoleResponse

stage:
  logger:
    class: sfAggregateLogger
    param:
      level: debug
      loggers:
        sf_file_debug:
          class: sfFileLogger
          param:
            level: debug
            file: %SF_LOG_DIR%/%SF_APP%_%SF_ENVIRONMENT%.log

  # storage:
  #   class: sfSessionTestStorage
  #   param:
  #     session_path: %SF_TEST_CACHE_DIR%/sessions

  response:
    class: sfWebResponse
    param:
      send_http_headers: false

  mailer:
    param:
      #delivery_strategy: realtime
      #delivery_strategy: spool
      #spool_class:       Swift_DoctrineSpool
      #spool_arguments:   [ MailMessage, message, getSpooledMessages ]
      delivery_strategy: single_address
      delivery_address: 'brian.m.vass+bd@gmail.com'

dev:
  mailer:
    param:
      #delivery_strategy: realtime
      #delivery_strategy: spool
      #spool_class:       Swift_DoctrineSpool
      #spool_arguments:   [ MailMessage, message, getSpooledMessages ]
      #delivery_strategy: single_address #single_address
      #delivery_address: 'brian.m.vass+bd@gmail.com'      

all:
  routing:
    class: sfPatternRouting
    param:
      generate_shortest_url:            true
      extra_parameters_as_query_string: true

  view_cache_manager:
    class: sfViewCacheManager
    param:
      cache_key_use_vary_headers: true
      lifetime:                   43200
      cache_key_use_host_name:    true
      
  user:
    class: myUser
    param:
      timeout:  36000 

  mailer:
    param:
      transport:
        class: Swift_SmtpTransport
        param:      
          #braziliandirect
          #encryption: ~
          #port:       25          
          # host:       mail.brazilianhardwood.com
          # username:   notification+brazilianhardwood.com
          # password:   Z6-_3DPnQchWiVA
          
          #host:       smtp3498.socketlabs-od.com
          #username:   server3498
          #password:   XGrQNWEz2es8PkSUJTJ9
          
          #messagegears
          #encryption: ssl
          #port:       4525
          #host:       smtp.messagegears.net
          #username:   21423980
          #password:   ae550b12e88b4608a8dcddee93c5f2b8
          
          host: smtp.sendgrid.net
          username: brianv@brazilianhardwood.com
          password: ___-K!Po$~4xRT

#all:
#  controller:
#    class: sfFrontWebController
#
#  request:
#    class: sfWebRequest
#    param:
#      logging:           %SF_LOGGING_ENABLED%
#      path_info_array:   SERVER
#      path_info_key:     PATH_INFO
#      relative_url_root: ~
#      formats:
#        txt:  text/plain
#        js:   [application/javascript, application/x-javascript, text/javascript]
#        css:  text/css
#        json: [application/json, application/x-json]
#        xml:  [text/xml, application/xml, application/x-xml]
#        rdf:  application/rdf+xml
#        atom: application/atom+xml
#
#  response:
#    class: sfWebResponse
#    param:
#      logging:           %SF_LOGGING_ENABLED%
#      charset:           %SF_CHARSET%
#      send_http_headers: true
#
#  user:
#    class: myUser
#    param:
#      timeout:         1800
#      logging:         %SF_LOGGING_ENABLED%
#      use_flash:       true
#      default_culture: %SF_DEFAULT_CULTURE%
#
#  storage:
#    class: sfSessionStorage
#    param:
#      session_name: symfony
#
#  view_cache:
#    class: sfFileCache
#    param:
#      automatic_cleaning_factor: 0
#      cache_dir:                 %SF_TEMPLATE_CACHE_DIR%
#      lifetime:                  86400
#      prefix:                    %SF_APP_DIR%/template
#
#  i18n:
#    class: sfI18N
#    param:
#      source:               XLIFF
#      debug:                false
#      untranslated_prefix:  "[T]"
#      untranslated_suffix:  "[/T]"
#      cache:
#        class: sfFileCache
#        param:
#          automatic_cleaning_factor: 0
#          cache_dir:                 %SF_I18N_CACHE_DIR%
#          lifetime:                  31556926
#          prefix:                    %SF_APP_DIR%/i18n
#
#  routing:
#    class: sfPatternRouting
#    param:
#      load_configuration:               true
#      suffix:                           ''
#      default_module:                   default
#      default_action:                   index
#      debug:                            %SF_DEBUG%
#      logging:                          %SF_LOGGING_ENABLED%
#      generate_shortest_url:            false
#      extra_parameters_as_query_string: false
#      cache:
#        class: sfFileCache
#        param:
#          automatic_cleaning_factor: 0
#          cache_dir:                 %SF_CONFIG_CACHE_DIR%/routing
#          lifetime:                  31556926
#          prefix:                    %SF_APP_DIR%/routing
#
#  logger:
#    class: sfAggregateLogger
#    param:
#      level: debug
#      loggers:
#        sf_web_debug:
#          class: sfWebDebugLogger
#          param:
#            level: debug
#            condition:       %SF_WEB_DEBUG%
#            xdebug_logging:  true
#            web_debug_class: sfWebDebug
#        sf_file_debug:
#          class: sfFileLogger
#          param:
#            level: debug
#            file: %SF_LOG_DIR%/%SF_APP%_%SF_ENVIRONMENT%.log
